package com.project.zcustom.service.service.basics;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.project.common.core.domain.search.PageParamVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.project.zcustom.domain.basics.PlatAppOrg;

import java.util.List;

/**
 * 地区编码Service接口
 *
 * @author change
 * @date 2024-10-23
 */
public interface IPlatAppOrgService extends IService<PlatAppOrg> {

    /**
     * 分页查询地区编码列表
     *
     * @param platAppOrg 地区编码
     * @return 地区编码集合
     */
    public IPage<PlatAppOrg> pagingPlatAppOrgList(PlatAppOrg platAppOrg);

    /**
     * 分页查询地区编码列表
     *
     * @param lqw
     * @return 地区编码集合
     */
    public IPage<PlatAppOrg> pagingPlatAppOrgList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatAppOrg> lqw);

    /**
     * 查询地区编码列表
     *
     * @param platAppOrg 地区编码
     * @return 地区编码集合
     */
    public List<PlatAppOrg> selectPlatAppOrgList(PlatAppOrg platAppOrg);

    /**
     * 查询地区编码列表
     *
     * @param platAppOrg 地区编码
     * @return 地区编码集合
     */
    public PlatAppOrg selectPlatAppOrgListTree(PlatAppOrg platAppOrg);

    /**
     * 查询地区编码列表
     *
     * @param platAppOrg 地区编码
     * @return 地区编码集合
     */
    public List<PlatAppOrg> selectPlatAppOrgList(PlatAppOrg platAppOrg,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public PlatAppOrg getPlatAppOrgByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public List<PlatAppOrg> selectPlatAppOrgListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public List<PlatAppOrg> selectPlatAppOrgListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    public List<PlatAppOrg> getProjectCameraNumList(String appOrg);

    public int getConnectUnitNum();

    public List<PlatAppOrg> getAllCameraCondition();

    public PlatAppOrg getCameraConditionByAppOrg(String appOrg);

    /**
     * 查询后勤资产 部门编码
     * @return
     */
    List<PlatAppOrg> selectAppCodeList();
}
